/********************************************************************** 
 techtree - Copyright (C) 1998 - David W. Pfitzner
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
***********************************************************************/

#ifndef TT__CHECKALLOC_H
#define TT__CHECKALLOC_H

#include <stdio.h>

/* eg ptr_expr a single pointer, or ptr1 && ptr2, etc */

#define CHECK_ALLOC(ptr_expr) \
    do { if( !(ptr_expr) ) {  \
	fprintf( stderr, "Out of memory(?) for \"" #ptr_expr "\"" \
		 " in " __FILE__ " line %d\n", __LINE__ ); \
	exit(1);   }} while(0)

#endif /* TT__CHECKALLOC_H */
