/********************************************************************** 
 techtree - Copyright (C) 1998 - David W. Pfitzner
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
***********************************************************************/

#ifndef TT__ILIST_H
#define TT__ILIST_H

typedef struct {
    int *i;			/* eg, indices to tree->nodes */
    int n;
    int n_alloc;
    int magic;
} ilist_t;

void ilist_new( ilist_t *il, int n  );
void ilist_renew( ilist_t *il, int n );
void ilist_free( ilist_t *il );
void ilist_push( ilist_t *il, int v );
int ilist_empty( ilist_t *il );
int ilist_endval( ilist_t *il );
int ilist_pop( ilist_t *il );

#endif /* TT__ILIST_H */
