/********************************************************************** 
 techtree - Copyright (C) 1998 - David W. Pfitzner
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
***********************************************************************/

#ifndef TT__MY_VOP_H
#define TT__MY_VOP_H

#ifndef NDIM
#error you need NDIM
#endif

#if !(NDIM==2)
#error you need NDIM==2
#endif

#define Dot(u,v) ((u)[0]*(v)[0] + (u)[1]*(v)[1])
#define Dot2(u) (Dot(u,u))
#define VS(v,s) do { v[0] s; v[1] s; } while(0)
#define VV(u,v) do { u[0] v[0]; u[1] v[1]; } while(0)
#define VVV(u,v,w) do { u[0] v[0] w[0]; u[1] v[1] w[1]; } while(0)
#define VeqVperp(u,v) do { u[0] = v[1]; u[1] = v[0]; } while(0)

#endif /* TT__MY_VOP_H */
