/* This is included multiple times, with different definitions
   of the macros OP() and OP_STRING()

   To add an option, you should be able to just:
   1. add it here,
   2. give a default value (if non-zero) in options.c
   3. add some explanation in optionlist.txt
   4. make use of it!

   The second arg is 0 for ints, 1 for strings.
*/

/* which techtree: */
OP_STRING(rulesetdir)
     
/* handling redundant links: */
OP(rm_redundant)

/* page specs: */
OP(page_width)     
OP(page_height)
OP(page_margin)

/* page layout options: */
OP(first_at_top)
OP(tech_info)
OP(two_page)
OP(two_overlap)
OP(line_gray)
OP(line_width)
     
/* rand seed: */
OP(seed)
OP(n_seed)

/* topology calc options: */
OP(pseudo_size)
OP(init_pseudo_linear)
OP(n_iter)
OP(n_iter_swap)     
OP(n_iter_smooth)     
OP(n_iter_zero)
OP(frep_n_inner)
OP(frep_n_outer)
OP(frep_size)
OP(frep_do_pp)     

/* debugging, output: */
OP(debug)
OP(debug_new)
OP(debug_ps)
OP(printps)
OP(pseudo_labels)     

/* internal: */     
OP(internal_seed)     
