/********************************************************************** 
 techtree - Copyright (C) 1998 - David W. Pfitzner
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
***********************************************************************/

#ifndef TT__OPTIONS_H
#define TT__OPTIONS_H

#include <stdio.h>

#define OP(x) int x;
#define OP_STRING(x) char *x;
typedef struct {
#include "optionlist.h"
} techtree_opt_t;
#undef OP
#undef OP_STRING

void get_options( int *argc, char ***argv, techtree_opt_t *opt );
void print_options( FILE *fp, techtree_opt_t *opt, char *version,
		    char *prefix );

#endif /* TT__OPTIONS_H */
